CVE-2011-1004

Priority
Description
The FileUtils.remove_entry_secure method in Ruby 1.8.6 through 1.8.6-420,
1.8.7 through 1.8.7-330, 1.8.8dev, 1.9.1 through 1.9.1-430, 1.9.2 through
1.9.2-136, and 1.9.3dev allows local users to delete arbitrary files via a
symlink attack.
Package
Upstream:released (1.8.7.334-1)
Ubuntu 14.04 LTS (Trusty Tahr):not-affected (1.8.7.352-2)
Patches:
Other:http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=30896
Package
Upstream:needs-triage
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (1.9.2.180-1)
Ubuntu 14.04 LTS (Trusty Tahr):not-affected
More Information

Updated: 2019-03-19 11:57:25 UTC (commit 15472795df7e9de45b82f2d36b8b419b939f97b2)